package com.jkcredit.asynchronous.callback.model;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class BookingSpaceResponseObject implements Serializable {
    private static final long serialVersionUID = 3323139363365817028L;

    private boolean success;
    private String msg;
    private JSONObject data;

    public static BookingSpaceResponseObject success() {
        return new BookingSpaceResponseObject(true, "成功", new JSONObject());
    }
}
