package com.jkcredit.asynchronous.callback.service;

import com.jkcredit.asynchronous.callback.model.BookingSpaceResponseObject;

/**
 * @author xusonglin
 * @version V1.0
 **/
public interface BookingSpaceService {
    /**
     * 订舱响应回执
     * @param replyParam 订舱响应回执
     * @return
     */
    BookingSpaceResponseObject reply(String replyParam);

    /**
     * 订舱确认回执
     * @param confirmParam 订舱确认回执
     * @return
     */
    BookingSpaceResponseObject confirm(String confirmParam);

    /**
     * 回调-发起http请求
     * @param methodType
     * @param requestParam
     * @return
     */
    boolean callBack(String methodType, String requestParam);
}
