package com.jkcredit.asynchronous.callback.controller;

import com.jkcredit.asynchronous.callback.model.BookingSpaceResponseObject;
import com.jkcredit.asynchronous.callback.service.BookingSpaceService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xusonglin
 * @version V1.0
 **/
@RestController
@RequestMapping(value = "/bookingSpace")
@RequiredArgsConstructor
public class BookingSpaceController {
    private final BookingSpaceService bookingSpaceService;

    @PostMapping(value = "/reply")
    public BookingSpaceResponseObject reply(@RequestBody String replyParam) {
        return bookingSpaceService.reply(replyParam);
    }

    @PostMapping(value = "/confirm")
    public BookingSpaceResponseObject confirm(@RequestBody String confirmParam) {
        return bookingSpaceService.confirm(confirmParam);
    }
}
